// aplStringArray.cpp: implementation of the CStringArrayAplEx class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "aplguiex.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CStringArrayAplEx::CStringArrayAplEx()
{

}

CStringArrayAplEx::~CStringArrayAplEx()
{

}

int CStringArrayAplEx::Find(LPCTSTR lpszStr, bool bMachCase)
{
	//тупым перебором
	int i;
	if(bMachCase)
	{
		for(i=0; i<m_nSize; i++)
			if(m_pData[i].Compare(lpszStr)==0) return i;
	}
	else
	{
		CString sBuf(lpszStr), sBuf1;
		sBuf.MakeUpper();
		for(i=0; i<m_nSize; i++)
		{
			sBuf1 = m_pData[i];
			sBuf1.MakeUpper();
			if(sBuf1==sBuf) return i;
		}
	}
	return -1;
}
